package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WechatTransferMapper;
import com.ruoyi.system.domain.WechatTransfer;
import com.ruoyi.system.service.IWechatTransferService;

/**
 * wechat_transferService业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-15
 */
@Service
public class WechatTransferServiceImpl implements IWechatTransferService 
{
    @Autowired
    private WechatTransferMapper wechatTransferMapper;

    /**
     * 查询wechat_transfer
     * 
     * @param id wechat_transfer主键
     * @return wechat_transfer
     */
    @Override
    public WechatTransfer selectWechatTransferById(Long id)
    {
        return wechatTransferMapper.selectWechatTransferById(id);
    }

    /**
     * 查询wechat_transfer列表
     * 
     * @param wechatTransfer wechat_transfer
     * @return wechat_transfer
     */
    @Override
    public List<WechatTransfer> selectWechatTransferList(WechatTransfer wechatTransfer)
    {
        return wechatTransferMapper.selectWechatTransferList(wechatTransfer);
    }

    /**
     * 新增wechat_transfer
     * 
     * @param wechatTransfer wechat_transfer
     * @return 结果
     */
    @Override
    public int insertWechatTransfer(WechatTransfer wechatTransfer)
    {
        return wechatTransferMapper.insertWechatTransfer(wechatTransfer);
    }

    /**
     * 修改wechat_transfer
     * 
     * @param wechatTransfer wechat_transfer
     * @return 结果
     */
    @Override
    public int updateWechatTransfer(WechatTransfer wechatTransfer)
    {
        return wechatTransferMapper.updateWechatTransfer(wechatTransfer);
    }

    /**
     * 批量删除wechat_transfer
     * 
     * @param ids 需要删除的wechat_transfer主键
     * @return 结果
     */
    @Override
    public int deleteWechatTransferByIds(Long[] ids)
    {
        return wechatTransferMapper.deleteWechatTransferByIds(ids);
    }

    /**
     * 删除wechat_transfer信息
     * 
     * @param id wechat_transfer主键
     * @return 结果
     */
    @Override
    public int deleteWechatTransferById(Long id)
    {
        return wechatTransferMapper.deleteWechatTransferById(id);
    }
}
